Subject: bug#70597: Problem in pcase-let?

From: Stefan Monnier <[email-masked]>
Date: Sun, 28 Apr 2024 17:08:21 -0400

> In any case, at a minimum the warning should be issued.

I haven't looked at the code for it, so I don't know how easy it is to
implement, but let' hope there's an "easy" way to do it.

> I did refrain from using pcase-let after all, although it "seemed
> right" for my use case.  Having said that, I would advocate changing
> the semantics.

The places that already use it largely rely on the current semantics,
so changing it would introduce a lot of breakage.
It's not really an option.

        Stefan